com.io7m.jcanephora.renderstate

## Class JCGLBlendState

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLBlendState

- All Implemented Interfaces:
    JCGLBlendStateType

      @Generated(value={"Immutables.generator","JCGLBlendStateType"})
      public final class JCGLBlendState
      extends Object
      implements JCGLBlendStateType

  Blending state.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLBlendState.Builder` Builds instances of type `JCGLBlendState`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLBlendState.Builder` | `builder()` Creates a builder for `JCGLBlendState`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLBlendState` that have equal attribute values.
    `JCGLBlendEquation` | `getBlendEquationAlpha()`
    `JCGLBlendEquation` | `getBlendEquationRGB()`
    `JCGLBlendFunction` | `getBlendFunctionSourceAlpha()`
    `JCGLBlendFunction` | `getBlendFunctionSourceRGB()`
    `JCGLBlendFunction` | `getBlendFunctionTargetAlpha()`
    `JCGLBlendFunction` | `getBlendFunctionTargetRGB()`
    `int` | `hashCode()` Computes a hash code from attributes: `blendFunctionSourceRGB`, `blendFunctionSourceAlpha`, `blendFunctionTargetRGB`, `blendFunctionTargetAlpha`, `blendEquationRGB`, `blendEquationAlpha`.
    `static JCGLBlendState` | `of(JCGLBlendFunction blendFunctionSourceRGB, JCGLBlendFunction blendFunctionSourceAlpha, JCGLBlendFunction blendFunctionTargetRGB, JCGLBlendFunction blendFunctionTargetAlpha, JCGLBlendEquation blendEquationRGB, JCGLBlendEquation blendEquationAlpha)` Construct a new immutable `JCGLBlendState` instance.
    `String` | `toString()` Prints the immutable value `JCGLBlendState` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBlendFunctionSourceRGB

          public JCGLBlendFunction getBlendFunctionSourceRGB()

      Specified by:
        `getBlendFunctionSourceRGB` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionSourceAlpha

          public JCGLBlendFunction getBlendFunctionSourceAlpha()

      Specified by:
        `getBlendFunctionSourceAlpha` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionTargetRGB

          public JCGLBlendFunction getBlendFunctionTargetRGB()

      Specified by:
        `getBlendFunctionTargetRGB` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the RGB components of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendFunctionTargetAlpha

          public JCGLBlendFunction getBlendFunctionTargetAlpha()

      Specified by:
        `getBlendFunctionTargetAlpha` in interface `JCGLBlendStateType`
      Returns:
        The blend function used for the alpha component of a blended image
      See Also:
        `JCGLBlendFunction`

    - #### getBlendEquationRGB

          public JCGLBlendEquation getBlendEquationRGB()

      Specified by:
        `getBlendEquationRGB` in interface `JCGLBlendStateType`
      Returns:
        The blend equation used for the RGB components of a blended image
      See Also:
        `JCGLBlendEquation`

    - #### getBlendEquationAlpha

          public JCGLBlendEquation getBlendEquationAlpha()

      Specified by:
        `getBlendEquationAlpha` in interface `JCGLBlendStateType`
      Returns:
        The blend equation used for the alpha component of a blended image
      See Also:
        `JCGLBlendEquation`

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLBlendState` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `blendFunctionSourceRGB`, `blendFunctionSourceAlpha`, `blendFunctionTargetRGB`, `blendFunctionTargetAlpha`, `blendEquationRGB`, `blendEquationAlpha`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLBlendState` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLBlendState of(JCGLBlendFunction blendFunctionSourceRGB,
                                          JCGLBlendFunction blendFunctionSourceAlpha,
                                          JCGLBlendFunction blendFunctionTargetRGB,
                                          JCGLBlendFunction blendFunctionTargetAlpha,
                                          JCGLBlendEquation blendEquationRGB,
                                          JCGLBlendEquation blendEquationAlpha)

      Construct a new immutable `JCGLBlendState` instance.
      Parameters:
        `blendFunctionSourceRGB` - The value for the `blendFunctionSourceRGB` attribute
        `blendFunctionSourceAlpha` - The value for the `blendFunctionSourceAlpha` attribute
        `blendFunctionTargetRGB` - The value for the `blendFunctionTargetRGB` attribute
        `blendFunctionTargetAlpha` - The value for the `blendFunctionTargetAlpha` attribute
        `blendEquationRGB` - The value for the `blendEquationRGB` attribute
        `blendEquationAlpha` - The value for the `blendEquationAlpha` attribute
      Returns:
        An immutable JCGLBlendState instance

    - #### builder

          public static JCGLBlendState.Builder builder()

      Creates a builder for `JCGLBlendState`.
      Returns:
        A new JCGLBlendState builder

Copyright © 2016 <code@io7m.com> http://io7m.com